summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBaptiste Durand <baptiste.durand@open.eurogiciel.org>2015-05-11 10:56:10 +0200
committerBaptiste DURAND <baptiste.durand@gmail.com>2015-05-13 17:57:21 +0200
commit4bf6b1110873ff1c0c6959742e814bb7a11cb60b (patch)
tree5d76fe0619740336f993ec7ef46625d21aaca67d
parent61a707b94c041ea01b21678f8efddb437e1a0382 (diff)
downloadmeta-tizen-4bf6b1110873ff1c0c6959742e814bb7a11cb60b.tar.gz
meta-tizen-4bf6b1110873ff1c0c6959742e814bb7a11cb60b.tar.bz2
meta-tizen-4bf6b1110873ff1c0c6959742e814bb7a11cb60b.zip
Add missing files for systemd
Signed-off-by: Baptiste Durand <baptiste.durand@open.eurogiciel.org>
-rw-r--r--meta-tizen-common-base/recipes-core/systemd/systemd/00-create-volatile.conf7
-rw-r--r--meta-tizen-common-base/recipes-core/systemd/systemd/init104
-rw-r--r--meta-tizen-common-base/recipes-core/systemd/systemd/run-ptest5
-rw-r--r--meta-tizen-common-base/recipes-core/systemd/systemd/touchscreen.rules18
-rw-r--r--meta-tizen-common-base/recipes-multimedia/avsystem/avsystem.inc3
-rw-r--r--meta-tizen-common-base/recipes-security/gumd/gumd.inc4
6 files changed, 137 insertions, 4 deletions
diff --git a/meta-tizen-common-base/recipes-core/systemd/systemd/00-create-volatile.conf b/meta-tizen-common-base/recipes-core/systemd/systemd/00-create-volatile.conf
new file mode 100644
index 00000000..9ffa88e4
--- /dev/null
+++ b/meta-tizen-common-base/recipes-core/systemd/systemd/00-create-volatile.conf
@@ -0,0 +1,7 @@
+#This goes hand-in-hand with the base-files of OE-Core. The file must
+# be sorted before 'systemd.conf' becuase this attempts to create a file
+# inside /var/log.
+
+
+d /var/volatile/log - - - -
+d /var/volatile/tmp - - - -
diff --git a/meta-tizen-common-base/recipes-core/systemd/systemd/init b/meta-tizen-common-base/recipes-core/systemd/systemd/init
new file mode 100644
index 00000000..ea52be48
--- /dev/null
+++ b/meta-tizen-common-base/recipes-core/systemd/systemd/init
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: udev
+# Required-Start: mountvirtfs
+# Required-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Start udevd, populate /dev and load drivers.
+### END INIT INFO
+
+. /etc/init.d/functions
+
+export TZ=/etc/localtime
+
+[ -d /sys/class ] || exit 1
+[ -r /proc/mounts ] || exit 1
+[ -x @UDEVD@ ] || exit 1
+[ -f /etc/default/udev-cache ] && . /etc/default/udev-cache
+[ -f /etc/udev/udev.conf ] && . /etc/udev/udev.conf
+
+readfile () {
+ filename=$1
+ READDATA=""
+ if [ -r $filename ]; then
+ while read line; do
+ READDATA="$READDATA$line"
+ done < $filename
+ fi
+}
+
+case "$1" in
+ start)
+ export ACTION=add
+ # propagate /dev from /sys
+ echo "Starting udev"
+
+ # mount the devtmpfs on /dev, if not already done
+ LANG=C awk '$2 == "/dev" && ($3 == "devtmpfs") { exit 1 }' /proc/mounts && {
+ mount -n -o mode=0755 -t devtmpfs none "/dev"
+ }
+ [ -e /dev/pts ] || mkdir -m 0755 /dev/pts
+ [ -e /dev/shm ] || mkdir -m 1777 /dev/shm
+ mount -a -t tmpfs 2>/dev/null
+
+ # cache handling
+ if [ "$DEVCACHE" != "" ]; then
+ readfile /proc/version
+ VERSION="$READDATA"
+ readfile /proc/cmdline
+ CMDLINE="$READDATA"
+ readfile /proc/devices
+ DEVICES="$READDATA"
+ readfile /proc/atags
+ ATAGS="$READDATA"
+
+ if [ -e $DEVCACHE ]; then
+ readfile /etc/udev/cache.data
+ if [ "$READDATA" = "$VERSION$CMDLINE$DEVICES$ATAGS" ]; then
+ (cd /; tar xf $DEVCACHE > /dev/null 2>&1)
+ not_first_boot=1
+ [ "$VERBOSE" != "no" ] && echo "udev: using cache file $DEVCACHE"
+ [ -e /dev/shm/udev.cache ] && rm -f /dev/shm/udev.cache
+ else
+ echo "$VERSION$CMDLINE$DEVICES$ATAGS" > /dev/shm/udev.cache
+ fi
+ else
+ echo "$VERSION$CMDLINE$DEVICES$ATAGS" > /dev/shm/udev.cache
+ fi
+ fi
+
+ # make_extra_nodes
+ killproc systemd-udevd > "/dev/null" 2>&1
+
+ # trigger the sorted events
+ echo -e '\000\000\000\000' > /proc/sys/kernel/hotplug
+ @UDEVD@ -d
+
+ udevadm control --env=STARTUP=1
+ if [ "$not_first_boot" != "" ];then
+ udevadm trigger --action=add --subsystem-nomatch=tty --subsystem-nomatch=mem --subsystem-nomatch=vc --subsystem-nomatch=vtconsole --subsystem-nomatch=misc --subsystem-nomatch=dcon --subsystem-nomatch=pci_bus --subsystem-nomatch=graphics --subsystem-nomatch=backlight --subsystem-nomatch=video4linux --subsystem-nomatch=platform
+ (udevadm settle --timeout=3; udevadm control --env=STARTUP=)&
+ else
+ udevadm trigger --action=add
+ udevadm settle
+ fi
+ ;;
+ stop)
+ echo "Stopping udevd"
+ start-stop-daemon --stop --name systemd-udevd --quiet
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ status)
+ status systemd-udevd
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart}"
+ exit 1
+esac
+exit 0
diff --git a/meta-tizen-common-base/recipes-core/systemd/systemd/run-ptest b/meta-tizen-common-base/recipes-core/systemd/systemd/run-ptest
new file mode 100644
index 00000000..a2d61c28
--- /dev/null
+++ b/meta-tizen-common-base/recipes-core/systemd/systemd/run-ptest
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+tar -C test -xJf test/sys.tar.xz
+make test/rules-test.sh.log
+make test/udev-test.pl.log
diff --git a/meta-tizen-common-base/recipes-core/systemd/systemd/touchscreen.rules b/meta-tizen-common-base/recipes-core/systemd/systemd/touchscreen.rules
new file mode 100644
index 00000000..d83fd167
--- /dev/null
+++ b/meta-tizen-common-base/recipes-core/systemd/systemd/touchscreen.rules
@@ -0,0 +1,18 @@
+# There are a number of modifiers that are allowed to be used in some
+# of the different fields. They provide the following subsitutions:
+#
+# %n the "kernel number" of the device.
+# For example, 'sda3' has a "kernel number" of '3'
+# %e the smallest number for that name which does not matches an existing node
+# %k the kernel name for the device
+# %M the kernel major number for the device
+# %m the kernel minor number for the device
+# %b the bus id for the device
+# %c the string returned by the PROGRAM
+# %s{filename} the content of a sysfs attribute
+# %% the '%' char itself
+#
+
+# Create a symlink to any touchscreen input device
+SUBSYSTEM=="input", KERNEL=="event[0-9]*", ATTRS{modalias}=="input:*-e0*,3,*a0,1,*18,*", SYMLINK+="input/touchscreen0"
+SUBSYSTEM=="input", KERNEL=="event[0-9]*", ATTRS{modalias}=="ads7846", SYMLINK+="input/touchscreen0"
diff --git a/meta-tizen-common-base/recipes-multimedia/avsystem/avsystem.inc b/meta-tizen-common-base/recipes-multimedia/avsystem/avsystem.inc
index ff23717e..70ef0eb8 100644
--- a/meta-tizen-common-base/recipes-multimedia/avsystem/avsystem.inc
+++ b/meta-tizen-common-base/recipes-multimedia/avsystem/avsystem.inc
@@ -8,7 +8,7 @@ SRC_URI = ""
S = "${WORKDIR}/git"
-inherit manifest autotools-brokensep systemd
+inherit manifest autotools-brokensep
BBCLASSEXTEND = ""
PROVIDES = ""
@@ -122,7 +122,6 @@ pkg_postrm_libavsysaudio() {
[ "x$D" == "x" ] && ldconfig
}
-SYSTEMD_SERVICE_${PN} = "avsystem.service"
PACKAGES = "${PN}-dbg ${PN}-doc ${PN}-locale"
PACKAGES += " avsystem "
diff --git a/meta-tizen-common-base/recipes-security/gumd/gumd.inc b/meta-tizen-common-base/recipes-security/gumd/gumd.inc
index da27a726..15c9e0aa 100644
--- a/meta-tizen-common-base/recipes-security/gumd/gumd.inc
+++ b/meta-tizen-common-base/recipes-security/gumd/gumd.inc
@@ -195,7 +195,7 @@ PKG_libgum-dev= "libgum-dev"
PKG_libgum= "libgum"
PKG_gumd-doc= "gumd-doc"
PKG_gumd= "gumd"
-USERADD_PACKAGES = "${PN}"
-GROUPADD_PARAM_${PN} = "-r gumd"
+USERADD_PACKAGES = "gumd"
+GROUPADD_PARAM_gumd = "-r -o gumd"
require gumd-extraconf.inc